pcl::PointWithScale Struct Reference
Module common

A point structure representing a 3-D position and scale. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointWithScale:

## Public Member Functions

| PointWithScale (const _PointWithScale &p)
| PointWithScale ()
| PointWithScale (float _x, float _y, float _z, float _scale)
| PointWithScale (float _x, float _y, float _z, float _scale, float _angle, float _response, int _octave)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointWithScale &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointWithScale
| PCL_ADD_POINT4D
union {
float scale
| Diameter of the meaningfull keypoint neighborhood. More...
float size
}; |
float | angle
| Computed orientation of the keypoint (-1 if not applicable). More...
float | response
| The response by which the most strong keypoints have been selected. More...
int | octave
| octave (pyramid layer) from which the keypoint has been extracted. More...

## Detailed Description

A point structure representing a 3-D position and scale.

Definition at line 1407 of file point_types.hpp.

## Constructor & Destructor Documentation

pcl::PointWithScale::PointWithScale | ( | const _PointWithScale & | p | ) |

inline

Definition at line 1409 of file point_types.hpp.

References pcl::_PointWithScale::angle, pcl::_PointWithScale::octave, pcl::_PointWithScale::response, and pcl::_PointWithScale::scale.

pcl::PointWithScale::PointWithScale | ( |  | ) |

inline

Definition at line 1418 of file point_types.hpp.

pcl::PointWithScale::PointWithScale | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _scale
| ) |  |

inline

Definition at line 1428 of file point_types.hpp.

pcl::PointWithScale::PointWithScale | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _scale,
|  | float | _angle,
|  | float | _response,
|  | int | _octave
| ) |  |

inline

Definition at line 1440 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointWithScale & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp